package com.ibm.lab.usingjdt.remotedebugging;

/*
 * "The Java Developer's Guide to Eclipse"
 *   by Shavor, D'Anjou, Fairbrother, Kehn, Kellerman, McCarthy
 * 
 * (C) Copyright International Business Machines Corporation, 2003. 
 * All Rights Reserved.
 * 
 * Code or samples provided herein are provided without warranty of any kind.
 */

/**
 * Class <code>RemoteDebuggingExample</code> is a simple class used in
 * the exercise in Part 3 of Chapter 30 to drive
 * <code>PrimeNumberGenerator</code> to illustrate debugging a program outside
 * of Eclipse.
 */
public class RemoteDebuggingExample {
	
	/**
	 * Method <code>main</code> drives class <code>PrimeNumberGenerator</code>
	 * to illustrate remote debugging with JDT.
	 * @param args
	 */
	public static void main(String[] args) {
		int quantity = new Integer(args[0]).intValue();
		PrimeNumberGenerator p = new PrimeNumberGenerator();
		p.setQuantity(quantity);
		p.generateNumbers();
		p.outputResults("");
	}
}
